Subject: Re: [Bitcoin-development] [RFC] listtransactions reformatting

From: "Luke-Jr" <[email-masked]>
Date: Sat, 16 Jul 2011 16:03:06 -0400

On Saturday, July 16, 2011 3:59:07 PM Stéphane Gimenez wrote:
> Hi,
> 
> You may have a look at the following proposal. It associates
> generations txouts with the appropriate addresses and accounts.
> (See my previous mail)
> 
> https://github.com/sgimenez/bitcoin/commit/a8e6510042f2f7f951414c7da124668b
> 30da4acd

It is also very broken, which is why I took the time to come up with something 
workable when I needed it ;)

> > * Additions to your wallet always are category:"receive", no matter
> >   what kind of transaction
> 
> Either this, or maybe webservices should be told to forget about
> categories and to rely only on the sign of the amounts. Maybe a "type"
> field with values "credit"/"debit" could help them? This way, more
> categories could be added later (escrow transactions, or other scripts
> that might be standardized).

"move" is positive amount, but doesn't change the actual value in the wallet.